#!/usr/bin/env ruby

require "numru/gphys"
include NumRu

PI       = 3.141592653589793115997963468544185162

vorfilename = "Vor.nc"

vorinfnormfilename  = "VorInfNorm.nc"

vor = GPhys::IO.open(vorfilename,'Vor')

grid  = vor.cut('lon'=>0,'lat'=>0).grid_copy

im,jm,km,nt = vor.val.shape

value  = NArray.float(km,nt)

for n in 0..nt-1
  for k in 0..km-1
    value[k,n]=(vor.val[true,true,k,n].abs.max)
  end
end

data = VArray.new( value, attr=nil, name='VorInfNorm')

vorinfnorm =GPhys.new( grid, data )
vorinfnorm.set_att('long_name','Voriticity Inf-Norm')
vorinfnorm.set_att('units','s-1')

#< Output to file >

vorinfnormfile=NetCDF.create(vorinfnormfilename)
GPhys::IO.write( vorinfnormfile, vorinfnorm )
vorinfnormfile.close
